Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036706
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2017-08-23 14:192017-09-21 16:49
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision120b7e711081
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036706: Unreadable error message shown to the user if connection to central repository is lost when installing modules

DescriptionAn unreadable error message is shown to the user if the connection to central repository is lost when installing modules.

See attached images.
Steps To ReproduceThis problem can be reproduced randomly if a network connection problem happens during module installation. For example, it was reproduced in this CI job[1].

But it is possible to "force" that scenario:

1- Go to the [Module Management] window
2- Move to the "Add Modules" tab and search for any module
3- Switch off Internet
4- Click on "Install Now" --> The pop-up content is showing unnecessary information. And the following error message: "java.net.UnknownHostException: centralrepository.openbravo.com"
5- Click on "Continue" button of the pop-up --> A pop-up with the following error message is displayed: "java.lang.NullPointerException"

[1] http://ci.openbravo.com/job/int-modules-pgsql/2304/ [^]
TagsNo tags attached.
Attached Filestxt file icon sample_error_stacktrace.txt [^] (24,955 bytes) 2017-08-23 14:26 [Show Content]
png file icon ModuleDetailWrong.png [^] (36,276 bytes) 2017-08-23 14:32


png file icon installModules.png [^] (80,781 bytes) 2017-08-23 14:32

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098634)
hgbot (developer)
2017-08-24 14:01

Repository: erp/devel/pi
Changeset: 120b7e71108115b1a7ffee06542a1046aa002b88
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Aug 24 13:55:10 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/120b7e71108115b1a7ffee06542a1046aa002b88 [^]

fixes bug 36706: Unreadable error if lose Internet connection on module install

 Now a readable error message is displayed to the user if the Internet connection is lost when trying to install a module.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
---
(0098679)
hgbot (developer)
2017-08-29 08:28

Repository: erp/devel/pi
Changeset: 71a9ac7e63b37208b8342e101333db464ebe4810
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Aug 29 08:27:26 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/71a9ac7e63b37208b8342e101333db464ebe4810 [^]

related to bug 36706: show error msg just after detecting CR is unreacheable

  Other way, it was displayed after a long time out.

---
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
---
(0098680)
alostale (developer)
2017-08-29 08:31

reviewed + tested
(0099325)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099335)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-08-23 14:19 caristu New Issue
2017-08-23 14:19 caristu Assigned To => platform
2017-08-23 14:19 caristu File Added: installModules.png
2017-08-23 14:19 caristu Modules => Core
2017-08-23 14:19 caristu Triggers an Emergency Pack => No
2017-08-23 14:23 caristu Steps to Reproduce Updated View Revisions
2017-08-23 14:24 caristu Description Updated View Revisions
2017-08-23 14:24 caristu Steps to Reproduce Updated View Revisions
2017-08-23 14:25 caristu Description Updated View Revisions
2017-08-23 14:26 caristu File Deleted: installModules.png
2017-08-23 14:26 caristu File Added: sample_error_stacktrace.txt
2017-08-23 14:27 caristu Steps to Reproduce Updated View Revisions
2017-08-23 14:28 caristu Steps to Reproduce Updated View Revisions
2017-08-23 14:32 caristu File Added: ModuleDetailWrong.png
2017-08-23 14:32 caristu File Added: installModules.png
2017-08-23 14:38 caristu Summary Unreadable error message shown to the user when connection to central repository is lost during module installation => Unreadable error message shown to the user if connection to central repository is lost when installing modules
2017-08-23 14:38 caristu Description Updated View Revisions
2017-08-23 14:38 caristu Steps to Reproduce Updated View Revisions
2017-08-24 13:57 caristu Assigned To platform => caristu
2017-08-24 13:57 caristu Review Assigned To => alostale
2017-08-24 14:01 hgbot Checkin
2017-08-24 14:01 hgbot Note Added: 0098634
2017-08-24 14:01 hgbot Status new => resolved
2017-08-24 14:01 hgbot Resolution open => fixed
2017-08-24 14:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/120b7e71108115b1a7ffee06542a1046aa002b88 [^]
2017-08-29 08:28 hgbot Checkin
2017-08-29 08:28 hgbot Note Added: 0098679
2017-08-29 08:31 alostale Note Added: 0098680
2017-08-29 08:31 alostale Status resolved => closed
2017-08-29 08:31 alostale Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099325
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099335


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker